document.addEventListener('DOMContentLoaded', () => {
  const themeToggle = document.getElementById('theme-toggle');
  const body = document.body;

  const savedTheme = localStorage.getItem('theme') || 'light';
  body.setAttribute('data-theme', savedTheme);

  themeToggle.addEventListener('click', () => {
    const currentTheme = body.getAttribute('data-theme');
    const newTheme = currentTheme === 'light' ? 'dark' : 'light';
    body.setAttribute('data-theme', newTheme);
    localStorage.setItem('theme', newTheme);
  });

  const carousel = document.querySelector('.carousel');
  let slideIndex = 0;

  setInterval(() => {
    slideIndex = (slideIndex + 1) % carousel.children.length;
    carousel.style.transform = `translateX(-${slideIndex * 100}%)`;
  }, 5000);
});